package mapped;

import net.runelite.mapping.ObfuscatedGetter;
import net.runelite.mapping.ObfuscatedName;
import net.runelite.mapping.ObfuscatedSignature;
import net.runelite.rs.api.RSAttackOption;

@ObfuscatedName("dy")
public class AttackOption implements MouseWheel, RSAttackOption {
   @ObfuscatedName("at")
   @ObfuscatedSignature(
      descriptor = "Ldy;"
   )
   static final AttackOption AttackOption_dependsOnCombatLevels;
   @ObfuscatedName("ah")
   @ObfuscatedSignature(
      descriptor = "Ldy;"
   )
   static final AttackOption AttackOption_alwaysRightClick;
   @ObfuscatedName("ar")
   @ObfuscatedSignature(
      descriptor = "Ldy;"
   )
   static final AttackOption field1337;
   @ObfuscatedName("ao")
   @ObfuscatedSignature(
      descriptor = "Ldy;"
   )
   static final AttackOption AttackOption_hidden;
   @ObfuscatedName("ab")
   @ObfuscatedSignature(
      descriptor = "Ldy;"
   )
   static final AttackOption field1334;
   @ObfuscatedName("au")
   @ObfuscatedGetter(
      intValue = 1183197833
   )
   final int id;

   static {
      AttackOption_dependsOnCombatLevels = new AttackOption(0);
      AttackOption_alwaysRightClick = new AttackOption(1);
      field1337 = new AttackOption(2);
      AttackOption_hidden = new AttackOption(3);
      field1334 = new AttackOption(4);
   }

   AttackOption(int var1) {
      this.id = var1;
   }

   @ObfuscatedName("ah")
   @ObfuscatedSignature(
      descriptor = "(B)I",
      garbageValue = "-11"
   )
   public int rsOrdinal_base() {
      return this.id;
   }

   @ObfuscatedName("au")
   @ObfuscatedSignature(
      descriptor = "(B)V",
      garbageValue = "-99"
   )
   public static void method2751_base() {
      HealthBarDefinition.HealthBarDefinition_cached.clear_base();
      HealthBarDefinition.HealthBarDefinition_cachedSprites.clear_base();
   }

   @ObfuscatedName("az")
   @ObfuscatedSignature(
      descriptor = "(B)V",
      garbageValue = "3"
   )
   static final void method2748_base() {
      WorldMapArea.method4622_base("Your friend list is full. Max of 200 for free users, and 400 for members");
   }
}
